package Bencher::ScenarioR::ListFlatten;

our $VERSION = 0.001; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "1000_1_1",
        errors      => 4.8e-08,
        participant => "List::Flat::flat",
        rate        => 6500,
        samples     => 25,
        time        => 154,
        vs_slowest  => 1,
      },
      {
        dataset     => "1000_1_1",
        errors      => 1.1e-07,
        participant => "List::Flatten::flat",
        rate        => 18000,
        samples     => 20,
        time        => 56,
        vs_slowest  => 2.7,
      },
      {
        dataset     => "1000_1_1",
        errors      => 1e-07,
        participant => "List::Flatten::XS::flatten",
        rate        => 20000,
        samples     => 21,
        time        => 49,
        vs_slowest  => 3.1,
      },
      {
        dataset     => "10_1_100",
        errors      => 2e-08,
        participant => "List::Flat::flat",
        rate        => 40500,
        samples     => 21,
        time        => 24.7,
        vs_slowest  => 6.23,
      },
      {
        dataset     => "100_1_1",
        errors      => 2.7e-08,
        participant => "List::Flat::flat",
        rate        => 56000,
        samples     => 20,
        time        => 18,
        vs_slowest  => 8.6,
      },
      {
        dataset     => "10_10_1",
        errors      => 0,
        participant => "List::Flat::flat",
        rate        => 132999,
        samples     => 20,
        time        => 7.51885,
        vs_slowest  => 20.4616,
      },
      {
        dataset     => "100_1_1",
        errors      => 2.7e-08,
        participant => "List::Flatten::XS::flatten",
        rate        => 140000,
        samples     => 20,
        time        => 7.1,
        vs_slowest  => 22,
      },
      {
        dataset     => "10_1_100",
        errors      => 1e-08,
        participant => "List::Flatten::XS::flatten",
        rate        => 150000,
        samples     => 20,
        time        => 6.6,
        vs_slowest  => 23,
      },
      {
        dataset     => "100_1_1",
        errors      => 1.7e-09,
        participant => "List::Flatten::flat",
        rate        => 168000,
        samples     => 20,
        time        => 5.96,
        vs_slowest  => 25.8,
      },
      {
        dataset     => "10_1_10",
        errors      => 5e-09,
        participant => "List::Flat::flat",
        rate        => 182000,
        samples     => 20,
        time        => 5.5,
        vs_slowest  => 28,
      },
      {
        dataset     => "10_1_1",
        errors      => 3.3e-09,
        participant => "List::Flat::flat",
        rate        => 340000,
        samples     => 20,
        time        => 3,
        vs_slowest  => 52,
      },
      {
        dataset     => "10_1_100",
        errors      => 8.3e-10,
        participant => "List::Flatten::flat",
        rate        => 375000,
        samples     => 20,
        time        => 2.67,
        vs_slowest  => 57.6,
      },
      {
        dataset     => "10_10_1",
        errors      => 2.5e-09,
        participant => "List::Flatten::XS::flatten",
        rate        => 390000,
        samples     => 20,
        time        => 2.56,
        vs_slowest  => 60,
      },
      {
        dataset     => "10_10_1",
        errors      => 0,
        participant => "List::Flatten::flat",
        rate        => 487152,
        samples     => 20,
        time        => 2.05275,
        vs_slowest  => 74.9472,
      },
      {
        dataset     => "10_1_10",
        errors      => 1.1e-08,
        participant => "List::Flatten::XS::flatten",
        rate        => 520000,
        samples     => 20,
        time        => 1.9,
        vs_slowest  => 79,
      },
      {
        dataset     => "10_1_1",
        errors      => 3.7e-09,
        participant => "List::Flatten::XS::flatten",
        rate        => 770000,
        samples     => 20,
        time        => 1.3,
        vs_slowest  => 120,
      },
      {
        dataset     => "10_1_10",
        errors      => 3.3e-10,
        participant => "List::Flatten::flat",
        rate        => 856000,
        samples     => 31,
        time        => 1.17,
        vs_slowest  => 132,
      },
      {
        dataset     => "10_1_1",
        errors      => 0,
        participant => "List::Flatten::flat",
        rate        => 1025140,
        samples     => 20,
        time        => 0.975481,
        vs_slowest  => 157.715,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "ListFlatten",
                                          },
      "func.bencher_version"           => undef,
      "func.code_startup"              => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "art",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "mpx",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "clflushopt",
                                                                                "xsaveopt",
                                                                                "xsavec",
                                                                                "xgetbv1",
                                                                                "xsaves",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                                "hwp",
                                                                                "hwp_notify",
                                                                                "hwp_act_window",
                                                                                "hwp_epp",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "3072 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 142,
                                              name                         => "Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 3099.957,
                                              stepping                     => 9,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "art",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "mpx",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "clflushopt",
                                                                                "xsaveopt",
                                                                                "xsavec",
                                                                                "xgetbv1",
                                                                                "xsaves",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                                "hwp",
                                                                                "hwp_notify",
                                                                                "hwp_act_window",
                                                                                "hwp_epp",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "3072 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 142,
                                              name                         => "Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 3099.957,
                                              stepping                     => 9,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "art",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "mpx",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "clflushopt",
                                                                                "xsaveopt",
                                                                                "xsavec",
                                                                                "xgetbv1",
                                                                                "xsaves",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                                "hwp",
                                                                                "hwp_notify",
                                                                                "hwp_act_window",
                                                                                "hwp_epp",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "3072 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 142,
                                              name                         => "Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 3100.122,
                                              stepping                     => 9,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "art",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "mpx",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "clflushopt",
                                                                                "xsaveopt",
                                                                                "xsavec",
                                                                                "xgetbv1",
                                                                                "xsaves",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                                "hwp",
                                                                                "hwp_notify",
                                                                                "hwp_act_window",
                                                                                "hwp_epp",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "3072 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 142,
                                              name                         => "Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 3099.957,
                                              stepping                     => 9,
                                            },
                                          ],
      "func.elapsed_time"              => 0.417853832244873,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                    => "1.040",
                                            "Bencher::Scenario::ListFlatten" => undef,
                                            "Benchmark::Dumb"                => 0.111,
                                            "Devel::Platform::Info"          => 0.16,
                                            "List::Flat"                     => 0.003,
                                            "List::Flatten"                  => 0.01,
                                            "List::Flatten::XS"              => 0.04,
                                            "perl"                           => "v5.26.1",
                                            "Sys::Info"                      => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0, 1, 2], "dataset", [0 .. 5]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "sonya",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-4.8.0-53-generic",
                                            kname    => "Linux",
                                            kvers    => "4.8.0-53-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 18.2,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 18.2 Sonya \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 18.2 Sonya\nRelease:\t18.2\nCodename:\tsonya",
                                                          "uname -a"        => "Linux backpacker 4.8.0-53-generic #56~16.04.1-Ubuntu SMP Tue May 16 01:18:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "4.8.0-53-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::ListFlatten",
      "func.scenario_module_md5sum"    => "78c2b70cdb7372d136866105649e1048",
      "func.scenario_module_mtime"     => 1516526318,
      "func.scenario_module_sha1sum"   => "9cf71470a6cd9fa33af22170934fec6a52da7fa0",
      "func.scenario_module_sha256sum" => "b264d3e719c3dc38608224e390bf26b1e8d988f2db1271c09beb21bf501b0e56",
      "func.time_end"                  => 1516526363.9365,
      "func.time_factor"               => 1000000,
      "func.time_start"                => 1516526363.51865,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark various List::Flatten implementaitons

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

